module CountryCurrency
  class Code
    class ABW < Code #:nodoc:
      self.main_currency = 'AWG'
      self.currency_symbol = 'ƒ'
    end

    class AFG < Code #:nodoc:
      self.main_currency = 'AFN'
      self.currency_symbol = '؋'
    end

    class AGO < Code #:nodoc:
      self.main_currency = 'AOA'
      self.currency_symbol = 'Kz'
    end

    class AIA < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class ALA < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class ALB < Code #:nodoc:
      self.main_currency = 'ALL'
      self.currency_symbol = 'L'
    end

    class AND < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class ARE < Code #:nodoc:
      self.main_currency = 'AED'
      self.currency_symbol = 'د.إ'
    end

    class ARG < Code #:nodoc:
      self.main_currency = 'ARS'
      self.currency_symbol = '$'
    end

    class ARM < Code #:nodoc:
      self.main_currency = 'AMD'
      self.currency_symbol = 'դր.'
    end

    class ASM < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class ATA < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class ATF < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class ATG < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class AUS < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class AUT < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class AZE < Code #:nodoc:
      self.main_currency = 'AZN'
      self.currency_symbol = '₼'
    end

    class BDI < Code #:nodoc:
      self.main_currency = 'BIF'
      self.currency_symbol = 'Fr'
    end

    class BEL < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class BEN < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class BES < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class BFA < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class BGD < Code #:nodoc:
      self.main_currency = 'BDT'
      self.currency_symbol = '৳'
    end

    class BGR < Code #:nodoc:
      self.main_currency = 'BGN'
      self.currency_symbol = 'лв.'
    end

    class BHR < Code #:nodoc:
      self.main_currency = 'BHD'
      self.currency_symbol = 'ب.د'
    end

    class BHS < Code #:nodoc:
      self.main_currency = 'BSD'
      self.currency_symbol = '$'
    end

    class BIH < Code #:nodoc:
      self.main_currency = 'BAM'
      self.currency_symbol = 'КМ'
    end

    class BLM < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class BLR < Code #:nodoc:
      self.main_currency = 'BYN'
      self.currency_symbol = 'Br'
    end

    class BLZ < Code #:nodoc:
      self.main_currency = 'BZD'
      self.currency_symbol = '$'
    end

    class BMU < Code #:nodoc:
      self.main_currency = 'BMD'
      self.currency_symbol = '$'
    end

    class BOL < Code #:nodoc:
      self.main_currency = 'BOB'
      self.currency_symbol = 'Bs.'
    end

    class BRA < Code #:nodoc:
      self.main_currency = 'BRL'
      self.currency_symbol = 'R$'
    end

    class BRB < Code #:nodoc:
      self.main_currency = 'BBD'
      self.currency_symbol = '$'
    end

    class BRN < Code #:nodoc:
      self.main_currency = 'BND'
      self.currency_symbol = '$'
    end

    class BTN < Code #:nodoc:
      self.main_currency = 'BTN'
      self.currency_symbol = 'Nu.'
    end

    class BVT < Code #:nodoc:
      self.main_currency = 'NOK'
      self.currency_symbol = 'kr'
    end

    class BWA < Code #:nodoc:
      self.main_currency = 'BWP'
      self.currency_symbol = 'P'
    end

    class CAF < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class CAN < Code #:nodoc:
      self.main_currency = 'CAD'
      self.currency_symbol = '$'
    end

    class CCK < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class CHE < Code #:nodoc:
      self.main_currency = 'CHF'
      self.currency_symbol = 'CHF'
    end

    class CHL < Code #:nodoc:
      self.main_currency = 'CLP'
      self.currency_symbol = '$'
    end

    class CHN < Code #:nodoc:
      self.main_currency = 'CNY'
      self.currency_symbol = '¥'
    end

    class CIV < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class CMR < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class COD < Code #:nodoc:
      self.main_currency = 'CDF'
      self.currency_symbol = 'Fr'
    end

    class COG < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class COK < Code #:nodoc:
      self.main_currency = 'NZD'
      self.currency_symbol = '$'
    end

    class COL < Code #:nodoc:
      self.main_currency = 'COP'
      self.currency_symbol = '$'
    end

    class COM < Code #:nodoc:
      self.main_currency = 'KMF'
      self.currency_symbol = 'Fr'
    end

    class CPV < Code #:nodoc:
      self.main_currency = 'CVE'
      self.currency_symbol = '$'
    end

    class CRI < Code #:nodoc:
      self.main_currency = 'CRC'
      self.currency_symbol = '₡'
    end

    class CUB < Code #:nodoc:
      self.main_currency = 'CUP'
      self.currency_symbol = '$'
    end

    class CUW < Code #:nodoc:
      self.main_currency = 'ANG'
      self.currency_symbol = 'ƒ'
    end

    class CXR < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class CYM < Code #:nodoc:
      self.main_currency = 'KYD'
      self.currency_symbol = '$'
    end

    class CYP < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class CZE < Code #:nodoc:
      self.main_currency = 'CZK'
      self.currency_symbol = 'Kč'
    end

    class DEU < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class DJI < Code #:nodoc:
      self.main_currency = 'DJF'
      self.currency_symbol = 'Fdj'
    end

    class DMA < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class DNK < Code #:nodoc:
      self.main_currency = 'DKK'
      self.currency_symbol = 'kr.'
    end

    class DOM < Code #:nodoc:
      self.main_currency = 'DOP'
      self.currency_symbol = '$'
    end

    class DZA < Code #:nodoc:
      self.main_currency = 'DZD'
      self.currency_symbol = 'د.ج'
    end

    class ECU < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class EGY < Code #:nodoc:
      self.main_currency = 'EGP'
      self.currency_symbol = 'ج.م'
    end

    class ERI < Code #:nodoc:
      self.main_currency = 'ETB'
      self.currency_symbol = 'Br'
    end

    class ESH < Code #:nodoc:
      self.main_currency = 'MAD'
      self.currency_symbol = 'د.م.'
    end

    class ESP < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class EST < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class ETH < Code #:nodoc:
      self.main_currency = 'ETB'
      self.currency_symbol = 'Br'
    end

    class FIN < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class FJI < Code #:nodoc:
      self.main_currency = 'FJD'
      self.currency_symbol = '$'
    end

    class FLK < Code #:nodoc:
      self.main_currency = 'FKP'
      self.currency_symbol = '£'
    end

    class FRA < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class FRO < Code #:nodoc:
      self.main_currency = 'DKK'
      self.currency_symbol = 'kr.'
    end

    class FSM < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class GAB < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class GBR < Code #:nodoc:
      self.main_currency = 'GBP'
      self.currency_symbol = '£'
    end

    class GEO < Code #:nodoc:
      self.main_currency = 'GEL'
      self.currency_symbol = 'ლ'
    end

    class GGY < Code #:nodoc:
      self.main_currency = 'GBP'
      self.currency_symbol = '£'
    end

    class GHA < Code #:nodoc:
      self.main_currency = 'GHS'
      self.currency_symbol = '₵'
    end

    class GIB < Code #:nodoc:
      self.main_currency = 'GIP'
      self.currency_symbol = '£'
    end

    class GIN < Code #:nodoc:
      self.main_currency = 'GNF'
      self.currency_symbol = 'Fr'
    end

    class GLP < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class GMB < Code #:nodoc:
      self.main_currency = 'GMD'
      self.currency_symbol = 'D'
    end

    class GNB < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class GNQ < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class GRC < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class GRD < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class GRL < Code #:nodoc:
      self.main_currency = 'DKK'
      self.currency_symbol = 'kr.'
    end

    class GTM < Code #:nodoc:
      self.main_currency = 'GTQ'
      self.currency_symbol = 'Q'
    end

    class GUF < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class GUM < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class GUY < Code #:nodoc:
      self.main_currency = 'GYD'
      self.currency_symbol = '$'
    end

    class HKG < Code #:nodoc:
      self.main_currency = 'HKD'
      self.currency_symbol = '$'
    end

    class HMD < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class HND < Code #:nodoc:
      self.main_currency = 'HNL'
      self.currency_symbol = 'L'
    end

    class HRV < Code #:nodoc:
      self.main_currency = 'HRK'
      self.currency_symbol = 'kn'
    end

    class HTI < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class HUN < Code #:nodoc:
      self.main_currency = 'HUF'
      self.currency_symbol = 'Ft'
    end

    class IDN < Code #:nodoc:
      self.main_currency = 'IDR'
      self.currency_symbol = 'Rp'
    end

    class IMN < Code #:nodoc:
      self.main_currency = 'IMP'
      self.currency_symbol = '£'
    end

    class IND < Code #:nodoc:
      self.main_currency = 'INR'
      self.currency_symbol = '₹'
    end

    class IOT < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class IRL < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class IRN < Code #:nodoc:
      self.main_currency = 'IRR'
      self.currency_symbol = '﷼'
    end

    class IRQ < Code #:nodoc:
      self.main_currency = 'IQD'
      self.currency_symbol = 'ع.د'
    end

    class ISL < Code #:nodoc:
      self.main_currency = 'ISK'
      self.currency_symbol = 'kr'
    end

    class ISR < Code #:nodoc:
      self.main_currency = 'ILS'
      self.currency_symbol = '₪'
    end

    class ITA < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class JAM < Code #:nodoc:
      self.main_currency = 'JMD'
      self.currency_symbol = '$'
    end

    class JEY < Code #:nodoc:
      self.main_currency = 'JEP'
      self.currency_symbol = '£'
    end

    class JOR < Code #:nodoc:
      self.main_currency = 'JOD'
      self.currency_symbol = 'د.ا'
    end

    class JPN < Code #:nodoc:
      self.main_currency = 'JPY'
      self.currency_symbol = '¥'
    end

    class KAZ < Code #:nodoc:
      self.main_currency = 'KZT'
      self.currency_symbol = '₸'
    end

    class KEN < Code #:nodoc:
      self.main_currency = 'KES'
      self.currency_symbol = 'KSh'
    end

    class KGZ < Code #:nodoc:
      self.main_currency = 'KGS'
      self.currency_symbol = 'som'
    end

    class KHM < Code #:nodoc:
      self.main_currency = 'KHR'
      self.currency_symbol = '៛'
    end

    class KIR < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class KNA < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class KOR < Code #:nodoc:
      self.main_currency = 'KRW'
      self.currency_symbol = '₩'
    end

    class KWT < Code #:nodoc:
      self.main_currency = 'KWD'
      self.currency_symbol = 'د.ك'
    end

    class LAO < Code #:nodoc:
      self.main_currency = 'LAK'
      self.currency_symbol = '₭'
    end

    class LBN < Code #:nodoc:
      self.main_currency = 'LBP'
      self.currency_symbol = 'ل.ل'
    end

    class LBR < Code #:nodoc:
      self.main_currency = 'LRD'
      self.currency_symbol = '$'
    end

    class LBY < Code #:nodoc:
      self.main_currency = 'LYD'
      self.currency_symbol = 'ل.د'
    end

    class LCA < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class LIE < Code #:nodoc:
      self.main_currency = 'CHF'
      self.currency_symbol = 'CHF'
    end

    class LKA < Code #:nodoc:
      self.main_currency = 'LKR'
      self.currency_symbol = '₨'
    end

    class LSO < Code #:nodoc:
      self.main_currency = 'LSL'
      self.currency_symbol = 'L'
    end

    class LTU < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class LUX < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class LVA < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MAC < Code #:nodoc:
      self.main_currency = 'MOP'
      self.currency_symbol = 'P'
    end

    class MAF < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MAR < Code #:nodoc:
      self.main_currency = 'MAD'
      self.currency_symbol = 'د.م.'
    end

    class MCO < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MDA < Code #:nodoc:
      self.main_currency = 'MDL'
      self.currency_symbol = 'L'
    end

    class MDG < Code #:nodoc:
      self.main_currency = 'MGA'
      self.currency_symbol = 'Ar'
    end

    class MDV < Code #:nodoc:
      self.main_currency = 'MVR'
      self.currency_symbol = 'MVR'
    end

    class MEX < Code #:nodoc:
      self.main_currency = 'MXN'
      self.currency_symbol = '$'
    end

    class MHL < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class MKD < Code #:nodoc:
      self.main_currency = 'MKD'
      self.currency_symbol = 'ден'
    end

    class MLI < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class MLT < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MMR < Code #:nodoc:
      self.main_currency = 'MMK'
      self.currency_symbol = 'K'
    end

    class MNE < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MNG < Code #:nodoc:
      self.main_currency = 'MNT'
      self.currency_symbol = '₮'
    end

    class MNP < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class MOZ < Code #:nodoc:
      self.main_currency = 'MZN'
      self.currency_symbol = 'MTn'
    end

    class MRT < Code #:nodoc:
      self.main_currency = 'MRO'
      self.currency_symbol = 'UM'
    end

    class MSR < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class MTQ < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class MUS < Code #:nodoc:
      self.main_currency = 'MUR'
      self.currency_symbol = '₨'
    end

    class MWI < Code #:nodoc:
      self.main_currency = 'MWK'
      self.currency_symbol = 'MK'
    end

    class MYS < Code #:nodoc:
      self.main_currency = 'MYR'
      self.currency_symbol = 'RM'
    end

    class MYT < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class NAM < Code #:nodoc:
      self.main_currency = 'NAD'
      self.currency_symbol = '$'
    end

    class NCL < Code #:nodoc:
      self.main_currency = 'XPF'
      self.currency_symbol = 'Fr'
    end

    class NER < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class NFK < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class NGA < Code #:nodoc:
      self.main_currency = 'NGN'
      self.currency_symbol = '₦'
    end

    class NIC < Code #:nodoc:
      self.main_currency = 'NIO'
      self.currency_symbol = 'C$'
    end

    class NIU < Code #:nodoc:
      self.main_currency = 'NZD'
      self.currency_symbol = '$'
    end

    class NLD < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class NOR < Code #:nodoc:
      self.main_currency = 'NOK'
      self.currency_symbol = 'kr'
    end

    class NPL < Code #:nodoc:
      self.main_currency = 'NPR'
      self.currency_symbol = '₨'
    end

    class NRU < Code #:nodoc:
      self.main_currency = 'AUD'
      self.currency_symbol = '$'
    end

    class NZL < Code #:nodoc:
      self.main_currency = 'NZD'
      self.currency_symbol = '$'
    end

    class OMN < Code #:nodoc:
      self.main_currency = 'OMR'
      self.currency_symbol = 'ر.ع.'
    end

    class PAK < Code #:nodoc:
      self.main_currency = 'PKR'
      self.currency_symbol = '₨'
    end

    class PAN < Code #:nodoc:
      self.main_currency = 'PAB'
      self.currency_symbol = 'B/.'
    end

    class PCN < Code #:nodoc:
      self.main_currency = 'NZD'
      self.currency_symbol = '$'
    end

    class PER < Code #:nodoc:
      self.main_currency = 'PEN'
      self.currency_symbol = 'S/.'
    end

    class PHL < Code #:nodoc:
      self.main_currency = 'PHP'
      self.currency_symbol = '₱'
    end

    class PLW < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class PNG < Code #:nodoc:
      self.main_currency = 'PGK'
      self.currency_symbol = 'K'
    end

    class POL < Code #:nodoc:
      self.main_currency = 'PLN'
      self.currency_symbol = 'zł'
    end

    class PRI < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class PRK < Code #:nodoc:
      self.main_currency = 'KPW'
      self.currency_symbol = '₩'
    end

    class PRT < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class PRY < Code #:nodoc:
      self.main_currency = 'PYG'
      self.currency_symbol = '₲'
    end

    class PSE < Code #:nodoc:
      self.main_currency = 'ILS'
      self.currency_symbol = '₪'
    end

    class PYF < Code #:nodoc:
      self.main_currency = 'XPF'
      self.currency_symbol = 'Fr'
    end

    class QAT < Code #:nodoc:
      self.main_currency = 'QAR'
      self.currency_symbol = 'ر.ق'
    end

    class REU < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class ROU < Code #:nodoc:
      self.main_currency = 'RON'
      self.currency_symbol = 'Lei'
    end

    class RUS < Code #:nodoc:
      self.main_currency = 'RUB'
      self.currency_symbol = '₽'
    end

    class RWA < Code #:nodoc:
      self.main_currency = 'RWF'
      self.currency_symbol = 'FRw'
    end

    class SAU < Code #:nodoc:
      self.main_currency = 'SAR'
      self.currency_symbol = 'ر.س'
    end

    class SDN < Code #:nodoc:
      self.main_currency = 'SDG'
      self.currency_symbol = '£'
    end

    class SEN < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class SGP < Code #:nodoc:
      self.main_currency = 'SGD'
      self.currency_symbol = '$'
    end

    class SGS < Code #:nodoc:
      self.main_currency = 'GBP'
      self.currency_symbol = '£'
    end

    class SHN < Code #:nodoc:
      self.main_currency = 'SHP'
      self.currency_symbol = '£'
    end

    class SJM < Code #:nodoc:
      self.main_currency = 'NOK'
      self.currency_symbol = 'kr'
    end

    class SLB < Code #:nodoc:
      self.main_currency = 'SBD'
      self.currency_symbol = '$'
    end

    class SLE < Code #:nodoc:
      self.main_currency = 'SLL'
      self.currency_symbol = 'Le'
    end

    class SLV < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class SMR < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class SOM < Code #:nodoc:
      self.main_currency = 'SOS'
      self.currency_symbol = 'Sh'
    end

    class SPM < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class SRB < Code #:nodoc:
      self.main_currency = 'RSD'
      self.currency_symbol = 'РСД'
    end

    class SSD < Code #:nodoc:
      self.main_currency = 'SSP'
      self.currency_symbol = '£'
    end

    class STP < Code #:nodoc:
      self.main_currency = 'STD'
      self.currency_symbol = 'Db'
    end

    class SUR < Code #:nodoc:
      self.main_currency = 'SRD'
      self.currency_symbol = '$'
    end

    class SVK < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class SVN < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class SWE < Code #:nodoc:
      self.main_currency = 'SEK'
      self.currency_symbol = 'kr'
    end

    class SWZ < Code #:nodoc:
      self.main_currency = 'SZL'
      self.currency_symbol = 'E'
    end

    class SXM < Code #:nodoc:
      self.main_currency = 'ANG'
      self.currency_symbol = 'ƒ'
    end

    class SYC < Code #:nodoc:
      self.main_currency = 'SCR'
      self.currency_symbol = '₨'
    end

    class SYR < Code #:nodoc:
      self.main_currency = 'SYP'
      self.currency_symbol = '£S'
    end

    class TCA < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class TCD < Code #:nodoc:
      self.main_currency = 'XAF'
      self.currency_symbol = 'Fr'
    end

    class TGO < Code #:nodoc:
      self.main_currency = 'XOF'
      self.currency_symbol = 'Fr'
    end

    class THA < Code #:nodoc:
      self.main_currency = 'THB'
      self.currency_symbol = '฿'
    end

    class TJK < Code #:nodoc:
      self.main_currency = 'TJS'
      self.currency_symbol = 'ЅМ'
    end

    class TKL < Code #:nodoc:
      self.main_currency = 'NZD'
      self.currency_symbol = '$'
    end

    class TKM < Code #:nodoc:
      self.main_currency = 'TMT'
      self.currency_symbol = 'T'
    end

    class TLS < Code #:nodoc:
      self.main_currency = 'IDR'
      self.currency_symbol = 'Rp'
    end

    class TON < Code #:nodoc:
      self.main_currency = 'TOP'
      self.currency_symbol = 'T$'
    end

    class TTO < Code #:nodoc:
      self.main_currency = 'TTD'
      self.currency_symbol = '$'
    end

    class TUN < Code #:nodoc:
      self.main_currency = 'TND'
      self.currency_symbol = 'د.ت'
    end

    class TUR < Code #:nodoc:
      self.main_currency = 'TRY'
      self.currency_symbol = '₺'
    end

    class TUV < Code #:nodoc:
      self.main_currency = 'TVD'
      self.currency_symbol = ''
    end

    class TWN < Code #:nodoc:
      self.main_currency = 'TWD'
      self.currency_symbol = '$'
    end

    class TZA < Code #:nodoc:
      self.main_currency = 'TZS'
      self.currency_symbol = 'Sh'
    end

    class UGA < Code #:nodoc:
      self.main_currency = 'UGX'
      self.currency_symbol = 'USh'
    end

    class UKR < Code #:nodoc:
      self.main_currency = 'UAH'
      self.currency_symbol = '₴'
    end

    class UMI < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class URY < Code #:nodoc:
      self.main_currency = 'UYU'
      self.currency_symbol = '$'
    end

    class USA < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class UZB < Code #:nodoc:
      self.main_currency = 'UZS'
      self.currency_symbol = ''
    end

    class VAT < Code #:nodoc:
      self.main_currency = 'EUR'
      self.currency_symbol = '€'
    end

    class VCT < Code #:nodoc:
      self.main_currency = 'XCD'
      self.currency_symbol = '$'
    end

    class VEN < Code #:nodoc:
      self.main_currency = 'VEF'
      self.currency_symbol = 'Bs'
    end

    class VGB < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class VIR < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class VNM < Code #:nodoc:
      self.main_currency = 'VND'
      self.currency_symbol = '₫'
    end

    class VUT < Code #:nodoc:
      self.main_currency = 'VUV'
      self.currency_symbol = 'Vt'
    end

    class WLF < Code #:nodoc:
      self.main_currency = 'XPF'
      self.currency_symbol = 'Fr'
    end

    class WSM < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end

    class YEM < Code #:nodoc:
      self.main_currency = 'YER'
      self.currency_symbol = '﷼'
    end

    class ZAF < Code #:nodoc:
      self.main_currency = 'ZAR'
      self.currency_symbol = 'R'
    end

    class ZMB < Code #:nodoc:
      self.main_currency = 'ZMW'
      self.currency_symbol = 'ZK'
    end

    class ZWE < Code #:nodoc:
      self.main_currency = 'USD'
      self.currency_symbol = 'u$s'
    end
  end
end
